## various improvements
- [ ] add semantic tags
- [ ] almost all html components should be derived from `custom`
- [ ] use never instead of filter(_ => false) in samples
- [ ] deploy on https://monadic_react.productie.hoppinger.com/
- [ ] only hide tab arrows if less than maximum
- [ ] callback might be useless: remove it from `Cont<A>` and from all samples
- [ ] pagination should be refactored with the regular combinators
- [x] routing and back button do not agree (yet)
- [x] bind should be map + join
- [x] primitives should not show cache
- [ ] screenshots/colored variant of various combinators
- [ ] cleanup dependencies in imports (samples and monad definition)

## samples (3 days)
- [ ] login with role selection
  - [ ] test in GrandeOmega, then move to scaffolder
- [ ] basic API
- [ ] basic API file dowload/upload
- [ ] API form
- [ ] form with
  - [1/3] date, time, date-time
  - [ ] images
  - [ ] custom field in form
  - [ ] rich-text
  - [ ] tel, url, email
  - [ ] file
  - [x] lazy-file
- [ ] all primitives, one per sample (use menu nesting)
- [ ] paginated list of entities
- [ ] all
- [ ] workflow/form with selection from list of other entities
- [ ] form without loading and saving
- [ ] workflow without loading and saving
- [ ] form with list of related entities

## external (3 days)
- [x] i18n
- [ ] documentation
  - [x] explanation
  - [ ] verify all snippets
- [x] publish online for designers
- [x] linkedin post
- [ ] reddit post
  - [x] functional programming
  - [ ] webdev
  - [ ] programming
- [ ] hacker news
- [ ] post on Hoppinger.com with pretty pictures

## styling
- [x] menu
- [x] tabs
- [/] form errors
- [x] disabled plus/minus toggle
- [ ] plus/minus has disappeared
- [ ] radio buttons
- [ ] edit lists and monadic-list-item
- [ ] links
- [ ] overlays
- [ ] paginator
- [ ] rich text (all text styles and images)
- [ ] toggle without label (for example within an edit list)
- [ ] tabs "pagination"
- [ ] busy/error in lift promise
- [ ] hierarchical menu

##  scaffolder (4 days)
- [ ] do not use `setInterval`, always use `setTimeout`
- [ ] various scaffolded files do not compile (rich text especially)
- [ ] Api.getMWithPictures/updateMWithPictures operators should already be lifted out of the box (from the scaffolder)
- [ ] Api.getM/updateM/download_pic/upload_pic operators should already be lifted out of the box (from the scaffolder)
- [ ] login forms should already be scaffolded
- [ ] entity forms should already be scaffolded

## fridge
- [ ] fold
- [ ] className by default in all CmdCommon
- [ ] add math plugin https://github.com/efloti/draft-js-mathjax-plugin
- [ ] also parse url query
- [ ] repeat-from, a wrapper on repeat which takes as first input the initial value A
- [ ] other more complex combinators should also be built with regular combinators
